/* Admin area */
.document-library__notice {
    padding: 1rem;
    background-color: var(--wp--preset--color--light);
    padding: var(--wp--preset--spacing--24);
    border-radius: 5px;
}
/* Frontend area */
:root {
    --document-library-tablet-breakpoint: 782px;
    --document-library-tablet-plus-breakpoint: 960px;
    --document-library-sort-asc: url("data:image/svg+xml,%3Csvg%20width%3D%2224%22%20height%3D%2224%22%20viewBox%3D%220%200%2024%2024%22%20fill%3D%22none%22%20xmlns%3D%22http%3A//www.w3.org/2000/svg%22%3E%3Cpath%20d%3D%22M12%2012C12%2012.1989%2011.921%2012.3897%2011.7803%2012.5303C11.6397%2012.671%2011.4489%2012.75%2011.25%2012.75H4.5C4.30109%2012.75%204.11032%2012.671%203.96967%2012.5303C3.82902%2012.3897%203.75%2012.1989%203.75%2012C3.75%2011.8011%203.82902%2011.6103%203.96967%2011.4697C4.11032%2011.329%204.30109%2011.25%204.5%2011.25H11.25C11.4489%2011.25%2011.6397%2011.329%2011.7803%2011.4697C11.921%2011.6103%2012%2011.8011%2012%2012ZM4.5%206.75H17.25C17.4489%206.75%2017.6397%206.67098%2017.7803%206.53033C17.921%206.38968%2018%206.19891%2018%206C18%205.80109%2017.921%205.61032%2017.7803%205.46967C17.6397%205.32902%2017.4489%205.25%2017.25%205.25H4.5C4.30109%205.25%204.11032%205.32902%203.96967%205.46967C3.82902%205.61032%203.75%205.80109%203.75%206C3.75%206.19891%203.82902%206.38968%203.96967%206.53033C4.11032%206.67098%204.30109%206.75%204.5%206.75ZM9.75%2017.25H4.5C4.30109%2017.25%204.11032%2017.329%203.96967%2017.4697C3.82902%2017.6103%203.75%2017.8011%203.75%2018C3.75%2018.1989%203.82902%2018.3897%203.96967%2018.5303C4.11032%2018.671%204.30109%2018.75%204.5%2018.75H9.75C9.94891%2018.75%2010.1397%2018.671%2010.2803%2018.5303C10.421%2018.3897%2010.5%2018.1989%2010.5%2018C10.5%2017.8011%2010.421%2017.6103%2010.2803%2017.4697C10.1397%2017.329%209.94891%2017.25%209.75%2017.25ZM21.5306%2015.2194C21.461%2015.1496%2021.3783%2015.0943%2021.2872%2015.0566C21.1962%2015.0188%2021.0986%2014.9994%2021%2014.9994C20.9014%2014.9994%2020.8038%2015.0188%2020.7128%2015.0566C20.6217%2015.0943%2020.539%2015.1496%2020.4694%2015.2194L18%2017.6897V10.5C18%2010.3011%2017.921%2010.1103%2017.7803%209.96967C17.6397%209.82902%2017.4489%209.75%2017.25%209.75C17.0511%209.75%2016.8603%209.82902%2016.7197%209.96967C16.579%2010.1103%2016.5%2010.3011%2016.5%2010.5V17.6897L14.0306%2015.2194C13.8899%2015.0786%2013.699%2014.9996%2013.5%2014.9996C13.301%2014.9996%2013.1101%2015.0786%2012.9694%2015.2194C12.8286%2015.3601%2012.7496%2015.551%2012.7496%2015.75C12.7496%2015.949%2012.8286%2016.1399%2012.9694%2016.2806L16.7194%2020.0306C16.789%2020.1004%2016.8717%2020.1557%2016.9628%2020.1934C17.0538%2020.2312%2017.1514%2020.2506%2017.25%2020.2506C17.3486%2020.2506%2017.4462%2020.2312%2017.5372%2020.1934C17.6283%2020.1557%2017.711%2020.1004%2017.7806%2020.0306L21.5306%2016.2806C21.6004%2016.211%2021.6557%2016.1283%2021.6934%2016.0372C21.7312%2015.9462%2021.7506%2015.8486%2021.7506%2015.75C21.7506%2015.6514%2021.7312%2015.5538%2021.6934%2015.4628C21.6557%2015.3717%2021.6004%2015.289%2021.5306%2015.2194Z%22%20fill%3D%22black%22/%3E%3C/svg%3E");
    --document-library-sort-desc: url("data:image/svg+xml,%3Csvg%20width%3D%2224%22%20height%3D%2224%22%20viewBox%3D%220%200%2024%2024%22%20fill%3D%22none%22%20xmlns%3D%22http%3A//www.w3.org/2000/svg%22%3E%3Cpath%20d%3D%22M3.75%2012C3.75%2011.8011%203.82902%2011.6103%203.96967%2011.4696C4.11032%2011.329%204.30109%2011.25%204.5%2011.25H11.25C11.4489%2011.25%2011.6397%2011.329%2011.7803%2011.4696C11.921%2011.6103%2012%2011.8011%2012%2012C12%2012.1989%2011.921%2012.3897%2011.7803%2012.5303C11.6397%2012.671%2011.4489%2012.75%2011.25%2012.75H4.5C4.30109%2012.75%204.11032%2012.671%203.96967%2012.5303C3.82902%2012.3897%203.75%2012.1989%203.75%2012ZM4.5%206.74998H9.75C9.94891%206.74998%2010.1397%206.67096%2010.2803%206.53031C10.421%206.38966%2010.5%206.19889%2010.5%205.99998C10.5%205.80107%2010.421%205.6103%2010.2803%205.46965C10.1397%205.329%209.94891%205.24998%209.75%205.24998H4.5C4.30109%205.24998%204.11032%205.329%203.96967%205.46965C3.82902%205.6103%203.75%205.80107%203.75%205.99998C3.75%206.19889%203.82902%206.38966%203.96967%206.53031C4.11032%206.67096%204.30109%206.74998%204.5%206.74998ZM17.25%2017.25H4.5C4.30109%2017.25%204.11032%2017.329%203.96967%2017.4696C3.82902%2017.6103%203.75%2017.8011%203.75%2018C3.75%2018.1989%203.82902%2018.3897%203.96967%2018.5303C4.11032%2018.671%204.30109%2018.75%204.5%2018.75H17.25C17.4489%2018.75%2017.6397%2018.671%2017.7803%2018.5303C17.921%2018.3897%2018%2018.1989%2018%2018C18%2017.8011%2017.921%2017.6103%2017.7803%2017.4696C17.6397%2017.329%2017.4489%2017.25%2017.25%2017.25ZM21.5306%207.71935L17.7806%203.96935C17.711%203.89962%2017.6283%203.8443%2017.5372%203.80656C17.4462%203.76882%2017.3486%203.74939%2017.25%203.74939C17.1514%203.74939%2017.0538%203.76882%2016.9628%203.80656C16.8717%203.8443%2016.789%203.89962%2016.7194%203.96935L12.9694%207.71935C12.8286%207.86008%2012.7496%208.05096%2012.7496%208.24998C12.7496%208.449%2012.8286%208.63987%2012.9694%208.78061C13.1101%208.92134%2013.301%209.0004%2013.5%209.0004C13.699%209.0004%2013.8899%208.92134%2014.0306%208.78061L16.5%206.31029V13.5C16.5%2013.6989%2016.579%2013.8897%2016.7197%2014.0303C16.8603%2014.171%2017.0511%2014.25%2017.25%2014.25C17.4489%2014.25%2017.6397%2014.171%2017.7803%2014.0303C17.921%2013.8897%2018%2013.6989%2018%2013.5V6.31029L20.4694%208.78061C20.5391%208.85029%2020.6218%208.90556%2020.7128%208.94327C20.8039%208.98099%2020.9015%209.0004%2021%209.0004C21.0985%209.0004%2021.1961%208.98099%2021.2872%208.94327C21.3782%208.90556%2021.4609%208.85029%2021.5306%208.78061C21.6003%208.71092%2021.6556%208.6282%2021.6933%208.53715C21.731%208.44611%2021.7504%208.34853%2021.7504%208.24998C21.7504%208.15143%2021.731%208.05385%2021.6933%207.96281C21.6556%207.87176%2021.6003%207.78904%2021.5306%207.71935Z%22%20fill%3D%22black%22/%3E%3C/svg%3E");
}

/* Controls bar above the table */
.posts-table-wrapper .posts-table-controls.posts-table-above {
    background-color: var(--wp--preset--color--accent-2);
}

.posts-table-wrapper .posts-table-controls {
    padding: 1rem;
    border-radius: 5px;
    display: flex;
    flex-direction: column;
    margin-left: 0 !important;
    margin-right: 0 !important;
}
.posts-table-wrapper .posts-table-controls .posts-table-select-filters {
    order: 1;
}
.posts-table-wrapper .posts-table-controls .dataTables_filter {
    order: 0;
    padding-bottom: var(--wp--preset--spacing--8);
}
.posts-table-wrapper .posts-table-controls .posts-table-select-filters,
.posts-table-wrapper .posts-table-controls .dataTables_filter,
.posts-table-wrapper .posts-table-controls .dataTables_filter label {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    margin: 0 !important;
}
.posts-table-wrapper .posts-table-controls .posts-table-select-filters label,
.posts-table-wrapper .posts-table-controls .dataTables_filter label{
    font-weight: 900;
}
.posts-table-wrapper .posts-table-controls .posts-table-select-filters select,
.posts-table-wrapper .posts-table-controls .dataTables_filter input {
    padding-top: 0.5rem !important;
    padding-bottom: 0.5rem !important;
    height: auto !important;
}
.posts-table-wrapper .posts-table-controls .posts-table-select-filters label {
    min-width: 3.7rem;
}

.posts-table-wrapper .posts-table-controls .posts-table-select-filters select {
    flex: 1;
}
.posts-table-wrapper .posts-table-controls .dataTables_filter input {
    margin-block-start: var(--wp--preset--spacing--8);
    background-color: var(--wp--preset--color--light);
    border: 1px solid var(--wp--preset--color--dark);
    border-radius: 5px;
}
.posts-table-wrapper .posts-table-controls .dataTables_length {
    display: none;
}
@media (max-width: 782px){
    .posts-table-wrapper .posts-table-controls .posts-table-select-filters select {
        flex: 0;
        flex-basis: 100%;
        margin-right: 0 !important;
    }
    
   .posts-table-wrapper .posts-table-controls .dataTables_filter label input,
   .posts-table-wrapper .posts-table-controls .posts-table-select-filters label {
        flex-basis: 100%;
        margin-left: 0 !important;
        margin-right: 0 !important;
    }
    .posts-table-wrapper .posts-table-controls .posts-table-reset {
        margin-top: 1rem;
    }
}




/* document table styles */
.posts-table-wrapper .posts-data-table {
    margin-top: 1rem;
    margin-bottom: 1rem;
    background-color: var(--wp--preset--color--light);
    border-radius: 5px;
}

.posts-table-wrapper table.dataTable th,
.posts-table-wrapper table.dataTable td {
    padding: 0.5rem 1rem;
}
.posts-table-wrapper table.dataTable tr.odd {
    background-color: #F9FAFC;
}
.posts-table-wrapper table.dataTable tr:hover {
    background-color: #ECECEC
}
.posts-table-wrapper table.dataTable th {
    position: relative;
    cursor: pointer;
    padding-top: 1rem;
    padding-bottom: 1rem;
    font-weight: 700;
}